import { Dispatcher, EventBus } from '../../bus';
import { Book, BookId } from './book';
export declare class BookManager extends Dispatcher {
    readonly eventBus: EventBus;
    protected books: Book[];
    protected currentBook?: Book;
    constructor(eventBus: EventBus);
    get length(): number;
    get available(): Book[];
    get all(): Book[];
    get current(): Book | undefined;
    set(books: Book[]): void;
    find(bookId: BookId): Book | undefined;
    select(book?: Book | BookId): void;
    destroy(): void;
}
